Name:          libkeyutils
Version:       1.5.9
Release:       1mamba
Summary:       A wrapper library for the key management facility system calls
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://people.redhat.com/~dhowells/keyutils/
Source:        http://people.redhat.com/~dhowells/keyutils/keyutils-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
A wrapper library for the key management facility system calls.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
A wrapper library for the key management facility system calls.
This package contains static libraries and header files need for development.

%package -n keyutils
Group:         System/Tools
Summary:       Tools for the key management facility system calls
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n keyutils
Tools for the key management facility system calls.

%prep
%setup -q -n keyutils-%{version}

%build
%make CFLAGS="%{optflags}" -j1

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall \
   LIBDIR=%{_libdir} \
   SBINDIR=%{_sbindir} \
   BINDIR=%{_bindir}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -n keyutils
%defattr(-,root,root)
%{_sysconfdir}/request-key.conf
%{_bindir}/keyctl
%{_sbindir}/key.dns_resolver
%{_sbindir}/request-key
%{_mandir}/man1/keyctl.1*
%{_mandir}/man5/request-key.conf.5*
%{_mandir}/man7/keyrings.7*
%{_mandir}/man7/keyutils.7*
%{_mandir}/man7/persistent-keyring.7*
%{_mandir}/man7/process-keyring.7*
%{_mandir}/man7/session-keyring.7*
%{_mandir}/man7/thread-keyring.7*
%{_mandir}/man7/user-keyring.7*
%{_mandir}/man7/user-session-keyring.7*
%{_mandir}/man8/key.dns_resolver.8*
%{_mandir}/man8/request-key.8*

%files
%defattr(-,root,root)
%{_libdir}/libkeyutils.so.*
%{_datadir}/keyutils/request-key-debug.sh
%doc README

%files devel
%defattr(-,root,root)
%{_includedir}/keyutils.h
%{_libdir}/libkeyutils.a
%{_libdir}/libkeyutils.so
%{_mandir}/man3/find_key_by_type_and_name.3*
%{_mandir}/man3/keyctl*.3*
%{_mandir}/man3/recursive_key_scan.3*
%{_mandir}/man3/recursive_session_key_scan.3*

%changelog
* Sat Mar 29 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.9-1mamba
- update to 1.5.9

* Fri Nov 01 2013 Automatic Build System <autodist@mambasoft.it> 1.5.8-1mamba
- automatic version update by autodist

* Thu Sep 05 2013 Automatic Build System <autodist@mambasoft.it> 1.5.6-1mamba
- automatic update by autodist

* Tue Aug 07 2012 Automatic Build System <autodist@mambasoft.it> 1.5.5-1mamba
- update to 1.5.5

* Sun Oct 23 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.3-1mamba
- package created by autospec
